projet-agenda-ludique-master/agenda_ludique/auth.py
from flask import Blueprint, render_template, redirect, url_for, request, flash
from werkzeug.security import generate_password_hash, check_password_hash
from agenda_ludique.app import app, db
from .models import Joueur , Adresse, ORM
from flask_login import login_user, login_required, logout_user, current_user
import datetime

auth = Blueprint('auth', __name__)

@auth.route("/login/")
def login():
    return render_template(
        "login.html",
        title = "Login"
    )

@auth.route("/logout")
@login_required
def logout():
    logout_user()
    return redirect(url_for("home"))

@auth.route("/login/", methods=['POST'])
def login_post():
    pseudo = request.form.get('pseudo')
    password = request.form.get('password')
    user = ORM.find_pseudo(pseudo)
    # regarde si le pseudo existe
    # take the user-supplied password, hash it, and compare it to the hashed password in the database
    if not user or not check_password_hash(user.mdp, password):
        flash('Vérifiez vos identifiants et réessayez')
        return redirect(url_for('auth.login')) # if the user doesn't exist or password is wrong, reload the page
    # if the above check passes, then we know the user has the right credentials
    print("---------------------")
    login_user(user)
    print(current_user.pseudo)
    return redirect(url_for("home"))


@auth.route("/inscription/")
def register():
    return render_template(
        "register.html",
        title = "Register"
    )

@auth.route("/inscription", methods=['POST'])
def register_post():
    pseudo = request.form.get('pseudo')
    user = ORM.find_pseudo(pseudo)
    if user:
        flash("Votre pseudo est déjà utilisé.")
        return redirect(url_for("auth.register"))
    
    id = len(Joueur.query.all())+1
    mdp = request.form.get('password')
    confirmMdp = request.form.get('confirmpass')
    if (mdp != confirmMdp):
        flash("Erreur de confirmation de mot de passe")
        return redirect(url_for("auth.register"))
    prenom = request.form.get('firstname')
    nom = request.form.get('lastname')
    email = request.form.get('email')
    if (request.form.get('avatar-file')):
        urlImg = request.form.get('avatar-file')
    else:
        urlImg = "https://www.gravatar.com/avatar/1234566?size=200&d=mm"
    ville = request.form.get('ville')
    code_postal = request.form.get('codePostale')
    adresse = request.form.get('adresse')
    complement = request.form.get('complement')
    adresseExist = ORM.adresse_exist(adresse,ville,code_postal,complement)
    if(adresseExist):
        new_adresse = adresseExist
    else:
        adresse_id = len(Adresse.query.all())+1
        new_adresse = Adresse(id_adresse = adresse_id,nom_ville = ville, code_postal = code_postal, nom_adresse = adresse, joueurs_habitant = [])
        db.session.add(new_adresse)
    new_user = Joueur(pseudo = pseudo,id=id ,mdp=generate_password_hash(mdp, method='sha256'), prenom=prenom, nom=nom, avatar=urlImg, email=email, adresse_id = adresse_id, admin = False)
    new_adresse.joueurs_habitant.append(new_user)
    db.session.add(new_user)
    db.session.commit()
    return redirect(url_for("auth.login"))


@app.route("/profil/modif")
def modifProfil():
    user = ORM.get_joueur(current_user.pseudo)
    listJeuUser = ORM.get_jeu_par_joueur(current_user.pseudo)
    return render_template(
        "profilModif.html",
        title="Mon profil",
        joueur=user,
        liste_jeux=listJeuUser
    )

@app.route("/profil/modif/commit", methods=['POST'])
def modifProfil_post():
    user = ORM.find_pseudo(current_user.pseudo)
    pseudo = request.form.get("pseudo")
    if ORM.find_pseudo(pseudo):
        if pseudo != current_user.pseudo:
            flash("Votre pseudo est déjà utilisé.")
            return redirect(url_for("modifProfil"))
    mdp = request.form.get('password')
    confirmMdp = request.form.get('confirmpass')
    if (mdp):
        if (mdp != confirmMdp):
            flash("Erreur de confirmation de mot de passe")
            return redirect(url_for("modifProfil"))
        else:
            user.mdp = generate_password_hash(mdp,method='sha256')
    user.pseudo = pseudo
    user.avatar = request.form.get("avatar")
    user.prenom = request.form.get("prenom")
    user.nom = request.form.get("nom")
    user.email = request.form.get("mail")
    user.adresse.nom_adresse = request.form.get("adresse")
    user.adresse.nom_ville = request.form.get("ville")
    if (request.form.get("vacances") == "oui"):
        user.mode_vacances = True
    else:
        user.mode_vacances = False
    db.session.commit()
    flash("Votre profil a été modifié.")
    return redirect(url_for("modifProfil"))

projet-agenda-ludique-master/agenda_ludique/templates/base.html
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>{{title}}</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/ionicons.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/Footer-Dark.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/navbar-agenda.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/base.css')}}">
    {% block style %}{% endblock %}
</head>

<body>
    <div class="nav">
        <nav class="navbar navbar-light navbar-expand-md fixed-top nav">
            <div class="container-fluid">
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navcol-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navcol-1">
                    <a href="{{url_for('home')}}">
                        <img class="logo" src="{{url_for('static',filename='img/logo.png')}}">
                    </a>
                    {% if current_user.admin %}
                    <p style="color: red;text-align:center;">Administrateur</p>
                    {% endif %}
                    <ul class="nav navbar-nav mx-auto qsfqs">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('home')}}">Accueil</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('galerie')}}">Galerie</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('getEvents')}}">Evenement</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('carte')}}">Carte</a></li>
                        {% if current_user.admin %}
                        <li class="nav-item"><a class="nav-link" href="{{url_for('jeux_proposes')}}">Jeux proposés</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('gerer_utilisateurs')}}">Gérer les utilisateurs</a></li>
                        {% endif %}
                    </ul>
                     {% if current_user.is_authenticated %}
                    <ul class="nav navbar-nav fsdgsd">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('getProfil')}}">{{ current_user.pseudo }}</a></li>
                    <li class="nav-item"><a class="nav-link" href="{{url_for('logout')}}">Se déconnecter</a></li>
                          </ul>
                        {% else %}

                        <ul class="nav navbar-nav fsdgsd">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('auth.login')}}">Connexion</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('auth.register')}}">Inscription</a>


                        </li>
                    </ul>
                        {% endif %}
                </div>
            </div>
        </nav>
    </div>
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    <div class="notification is-danger" style="margin: 1em auto;">
        <p style="color:red;text-align: center;">{{ messages[0] }}</p>
    </div>
    {% endif %}
    {% endwith %}
    <div id="page">
        {% block main %}{% endblock %}
    </div>
    <footer class="footer-dark">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-md-3 item">
                    <h3>Services</h3>
                    <ul>
                        <li><a href="#">Web design</a></li>
                        <li><a href="#">Development</a></li>
                        <li><a href="#">Hosting</a></li>
                    </ul>
                </div>
                <div class="col-sm-6 col-md-3 item">
                    <h3>About</h3>
                    <ul>
                        <li><a href="#">Company</a></li>
                        <li><a href="#">Team</a></li>
                        <li><a href="#">Careers</a></li>
                    </ul>
                </div>
                <div class="col-md-6 item text">
                    <h3>Company Name</h3>
                    <p>
                        Praesent sed lobortis mi. Suspendisse vel placerat ligula. Vivamus ac sem lacus. Ut vehicula
                        rhoncus elementum. Etiam quis tristique lectus. Aliquam in arcu eget velit pulvinar dictum
                        vel in justo.
                    </p>
                </div>
                <div class="col item social">
                    <a href="#"><i class="icon ion-social-facebook"></i></a>
                    <a href="#"><i class="icon ion-social-twitter"></i></a>
                    <a href="#"><i class="icon ion-social-snapchat"></i></a>
                    <a href="#"><i class="icon ion-social-instagram"></i></a>
                </div>
            </div>
            <p class="copyright">Coffre à jeu © 2020</p>
        </div>
    </footer>
    {% block script %}{% endblock %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
</body>

</html>

projet-agenda-ludique-master/agenda_ludique/templates/carte.html
{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/carteSoiree.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Growing-Search-Bar-Animated-Text-Input.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Team-Grid.css')}}">
{% endblock %}

{% block main %}
<main>
    <div class="input-group d-flex">
        <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-search"></i></span>
        </div>
        <input class="form-control" type="search" placeholder="Je recherche...">
        <div class="input-group-append">
            <button class="btn btn-primary" id="bouton-search" type="button">Rechercher</button>
        </div>
    </div>
    <div class="team-grid">
        <div class="container-fluid h-100 d-flex flex-column">
            <div class="row justify-content-center align-items-center people flex-fill">
                <div class="col item" id="parent_carte_google">
                    <div id="carte-google"></div>
                </div>
                <div class="col-sm-4 col-md-4 col-lg-3 col-xl-3 item liste-soiree">
                    {% for soiree in evenements %}
                    </br>
                    <div class="card">
                        <p>Soirée
                            {{soiree.jeu_session.titre}}<br>Chez {{soiree.createur_session.pseudo}}</p>
                        <div class="card-body">
                            <p>{{soiree.adresse.num}}
                                {{soiree.adresse.type_adresse}}
                                {{soiree.adresse.nom_adresse}}<br>{{soiree.adresse.nom_ville}}
                                {{soiree.adresse.code_postal}}</p>
                            <p>Il reste
                                {{soiree.jeu_session.nb_max_joueurs - soiree.participants|length}} places
                                :<br>{{soiree.participants|length}}/{{soiree.jeu_session.nb_max_joueurs}}
                            </p>
                            <p><span><a href="{{ url_for('getPageGame', titre=soiree.jeu_session.titre) }}">Voir les
                                        règles du jeu</a></span><br></p><button class="btn btn-outline-secondary"
                                type="button">Réserver</button>
                        </div>
                    </div>
                    </br>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</main>
{% block scripts %}
<script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>

<script src="{{url_for('static',filename='js/google_map.js')}}"></script>
<script>
    var markers = {{ markers| tojson}};
</script>
<script async defer
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAPy_6pciMc81Yp71xVlPSe1hPdsIhLBHo&callback=initMap">google.maps.event.addDomListener(window, 'load', initMap);</script>

{% endblock scripts %}
{% endblock %}

projet-agenda-ludique-master/agenda_ludique/templates/createEvent.html
{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/createEvent.css')}}">
{% endblock %}

{% block main %}
<main class="d-flex flex-wrap justify-content-xl-center align-items-xl-center">
    <div class="d-flex flex-column divMain">
        <h1>Informations sur l'événement</h1>
        <form class="d-flex flex-column">
            <div class="d-flex flex-row justify-content-xl-center align-items-xl-center">
                <label class="d-flex">
                    Date de l’événement :&nbsp;
                </label>
                <input class="form-control" type="date" required>
            </div>
            <div class="d-flex flex-row justify-content-xl-start align-items-xl-center">
                <label class="d-flex">
                    Heure du début :&nbsp;
                </label>
                <input class="form-control" type="time" required>
            </div>
            <div class="d-flex flex-row justify-content-xl-start align-items-xl-center">
                <label class="d-flex">
                    Nombre de joueurs maximum :&nbsp;
                </label>
                <input class="form-control" type="number" placeholder="Nombre de joueurs maximum" required>
            </div>
            <div class="d-flex flex-row justify-content-xl-start align-items-xl-center">
                <label class="d-flex">
                    Nom du jeu :&nbsp;
                </label>
                <input class="form-control" type="text" placeholder="Nom du jeu" required>
            </div>
            <div class="d-flex flex-row join">
                <p>Qui peut rejoindre ?&nbsp;</p>
                <div class="form-check">
                    <input class="form-check-input" type="radio" id="formCheck-1">
                    <label class="form-check-label" for="formCheck-1">
                        Amis seulement
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" id="formCheck-2">
                    <label class="form-check-label" for="formCheck-1">
                        Tout le monde
                    </label>
                </div>
            </div>
            <button class="btn btn-primary d-flex d-xl-flex align-self-center">Confirmer la création de l'événement</button>
        </form>
    </div>
    <div class="d-flex flex-column divApercu">
        <h1 class="titreApercu">Aperçu</h1>
        <div class="d-flex flex-column align-items-center apercu">
            <img class="d-flex" src="{{url_for('static',filename='img/loupGarou.jpg')}}">
            <h1 style="font-size: 35px;">Loup garou</h1>
            <p>hh:mm chez X&nbsp;</p>
            <p>Participants : 1/X</p>
            <p>-X</p>
        </div>
    </div>
</main>
{% endblock %}

projet-agenda-ludique-master/agenda_ludique/templates/createGroup.html
{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/createGroup.css')}}">
{% endblock %}

{% block main %}
<main class="d-flex flex-wrap justify-content-xl-center align-items-xl-center">
    <div class="d-flex flex-column divCreate">
        <h1>Création d'un groupe</h1>
        <form class="d-flex flex-column">
            <div class="d-flex flex-row justify-content-xl-start align-items-xl-center">
                <label for="nomGroup">Nom du groupe :</label>
                <input class="form-control" type="text" id="nomGroup" placeholder="Nom du groupe" required>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="formCheck-1">
                <label class="form-check-label" for="formCheck-1">
                    Groupe privé ?
                </label>
            </div>
            <div class="d-flex flex-row justify-content-xl-start align-items-xl-center">
                <label class="labelImg" for="image">
                    Image :
                </label>
                <input type="file" id="image" name="image" required>
            </div>
            <div class="d-flex d-xl-flex flex-grow-0 align-self-center justify-content-xl-start divButton">
                <button class="btn btn-primary d-flex" type="button">Annuler</button>
                <button class="btn btn-primary d-flex" type="button">Créer</button>
            </div>
        </form>
    </div>
    <div class="d-flex flex-column align-items-xl-center divApercu">
        <h1 class="apercu">Aperçu de votre image</h1>
        <img src="{{url_for('static',filename='img/test.png')}}" style="width: 300px;height: auto;">
    </div>
</main>
{% endblock %}

projet-agenda-ludique-master/agenda_ludique/templates/events.html
{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/events.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Growing-Search-Bar-Animated-Text-Input.css')}}">
<link rel="stylesheet" href="{{url_for('static',filename='css/Team-Grid.css')}}">
{% endblock %}

{% block main %}
<main>
    <div class="input-group d-flex">
        <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-search"></i></span>
        </div>
        <input class="form-control" type="search" placeholder="Je recherche...">
        <div class="input-group-append">
            <button class="btn btn-primary" id="bouton-search" type="button">Rechercher</button>
        </div>
    </div>
    <div class="team-grid">
        <div class="container-fluid h-100 d-flex flex-column">
            <div class="row justify-content-center align-items-center people flex-fill">
                    {% for soiree in evenements %}
                    <div class="card">
                        <p class="ecart">Soirée
                            {{soiree.jeu_session.titre}}</p>
                        <p>Chez {{soiree.createur_session.pseudo}}</p>
                            <div class="card-body">
                            <p>{{soiree.adresse.num}}
                                {{soiree.adresse.type_adresse}}
                                {{soiree.adresse.nom_adresse}}<br>{{soiree.adresse.nom_ville}}
                                {{soiree.adresse.code_postal}}</p>
                            <p>Il reste
                                {{soiree.jeu_session.nb_max_joueurs - soiree.participants|length}} places
                                :<br>{{soiree.participants|length}}/{{soiree.jeu_session.nb_max_joueurs}}
                            </p>
                            <p><span><a href="{{ url_for('getPageGame', titre=soiree.jeu_session.titre) }}">Voir les
                                        règles du jeu</a></span><br></p><button class="btn btn-outline-secondary"
                                type="button">Réserver</button>
                        </div>
                    </div>
                    {% endfor %}
            </div>
        </div>
    </div>
</main>
{% block scripts %}
<script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>

<script src="{{url_for('static',filename='js/google_map.js')}}"></script>
<script>
    var markers = {{ markers| tojson}};
</script>
<script async defer
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAPy_6pciMc81Yp71xVlPSe1hPdsIhLBHo&callback=initMap">google.maps.event.addDomListener(window, 'load', initMap);</script>

{% endblock scripts %}
{% endblock %}

projet-agenda-ludique-master/agenda_ludique/templates/login.html
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Connexion</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/Login-Form-Clean.css')}}">
</head>

<body>
    <div class="login-clean">
        <form method="post" action="{{url_for('auth.login_post')}}">
            <h2 class="sr-only">Login Form</h2>
            <div class="illustration"><img src="{{url_for('static',filename='img/logo.png')}}"
                    style="width: 150px;min-width: auto;"></div>
            {% with messages = get_flashed_messages() %}
            {% if messages %}
            <div class="notification is-danger" style="margin: 1em auto;">
                <p style="color:red;text-align: center;">{{ messages[0] }}</p>
            </div>
            {% endif %}
            {% endwith %}
            <div class="form-group"><input class="form-control" type="text" name="pseudo" placeholder="Pseudo"></div>
            <div class="form-group"><input class="form-control" type="password" name="password"
                    placeholder="Mot de passe"></div>
            <div class="form-group"><button class="btn btn-primary btn-block" type="submit"
                    style="background: rgb(63,123,139);">Se connecter</button></div><a class="forgot" href="#">Mot de
                passe oublié ?</a><a class="forgot" href="{{url_for('auth.register')}}">Pas encore de compte ?</a>
        </form>
    </div>
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
</body>

</html>

projet-agenda-ludique-master/agenda_ludique/templates/pageGame.html
{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="{{url_for('static',filename='css/pageGame.css')}}">
{% endblock %}

{% block main %}
<div class="d-flex flex-wrap-reverse justify-content-xl-center align-items-xl-stsart divMain">
    <div class="d-flex flex-column flex-fill conteneur">
        <div class="divImg">
            <img class="imgJeu" src="{{jeux.url_img}}">
        </div>
        <p class="titre">
            <strong>{{jeux.titre}}</strong>
        </p>
        <div class="info">
            <ul>
                <li>Auteur : {{jeux.auteur}}</li>
                <li>Éditeur : {{jeux.editeur}}</li>
                <li>Année de sortie : {{jeux.annee_edition}}</li>
                <li>Nombre de Joueurs : {{jeux.nb_min_joueurs}}-{{jeux.nb_max_joueurs}}</li>
                <li>Âge requis : {{jeux.age_min}}</li>
                <li>Durée moyenne : {{jeux.duree_moyenne}}</li>
                <li>Complexité : {{jeux.complexite}}</li>
                <li>Type de jeu : {{jeux.type_jeu}}</li>
            </ul>
        </div>
        <h1 class="resumeTitre">Résumé explicatif</h1>
        <div class="text-justify resume">
            <p>{{jeux.resume}}</p>
        </div>
        <button class="btn btn-primary button">
            Rejoindre une session
        </button>
    </div>
</div>
{% endblock %}

projet-agenda-ludique-master/agenda_ludique/templates/register.html
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Inscription</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400,700">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/register.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/registerForm.css')}}">
</head>

<body>
    <div class="container profile profile-view" id="profile">
        <div class="row">
            <div class="col-md-12 alert-col relative">
                <div class="alert alert-info absolue center" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                    <span>Profile save with success</span>
                </div>
            </div>
        </div>
        <form method="POST" action="{{url_for('auth.register_post')}}">
            {% with messages = get_flashed_messages() %}
            {% if messages %}
            <div class="notification is-danger" style="margin: 1em auto;">
                <p style="color:red;text-align: center;">{{ messages[0] }}</p>
            </div>
            {% endif %}
            {% endwith %}
            <div class="form-row profile-row">
                <div class="col-md-8">
                    <h1>Création du compte</h1>
                    <hr>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Pseudonyme</label>
                                <input class="form-control" type="text" name="pseudo" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Prénom</label>
                                <input class="form-control" type="text" name="firstname" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Nom</label>
                                <input class="form-control" type="text" name="lastname" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input class="form-control" type="email" autocomplete="off" name="email" required>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-12">
                            <div class="form-group"><label>Adresse</label><input class="form-control" type="text"
                                    autocomplete="off" name="adresse" required></div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Ville</label>
                                <input class="form-control" type="text" name="ville" autocomplete="off" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Code postal</label>
                                <input class="form-control" type="number" name="codePostale" autocomplete="off"
                                    pattern="([A-Z]+[A-Z]?\-)?[0-9]{1,2} ?[0-9]{3}" required>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Complément d'adresse</label>
                                <input class="form-control" type="text" name="complement" autocomplete="off">
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Mot de passe</label>
                                <input class="form-control" type="password" name="password" autocomplete="off" required>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <div class="form-group">
                                <label>Confirmation du mot de passe</label>
                                <input class="form-control" type="password" name="confirmpass" autocomplete="off"
                                    required>
                            </div>
                        </div>
                    </div>
                    <hr>
                </div>
                <div class="col-md-4 relative">
                    <div class="avatar">
                        <div class="avatar-bg center" style="width: 200px;height: 200px;"></div>
                    </div>
                    <input type="text" class="form-control" name="avatar-file" onchange="changeImg(this)" placeholder="URL Image de profil">
                </div>
            </div>
            <div class="form-row">
                <div class="col-md-12 d-flex justify-content-start content-right"
                    style="margin-top: 20px;margin-right: 0px;padding-right: 5px;padding-left: 25%;">
                    <button class="btn btn-danger form-btn" onclick="window.location.href = '/'">ANNULER</button>
                    <button class="btn btn-primary form-btn" type="submit"
                        style="background: rgb(63,123,139);">ENREGISTRER</button>
                </div>
            </div>
        </form>
    </div>
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="https://unpkg.com/@bootstrapstudio/bootstrap-better-nav/dist/bootstrap-better-nav.min.js"></script>
    <script src="{{url_for('static',filename='js/ImageDynamique.js')}}"></script>
</body>

</html>